package com.ruoyi.system.model.doc;


import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Author jiuli
 * @Date 2024/3/27
 */
public class CustomDocRequestModel implements Serializable {

    @NotNull(message = "页数不能为空!")
    private Long pageIndex;

    @NotNull(message = "页数不能为空!")
    private Long pageSize;

    private String custdocdefid;

    private String custdocdefcode;

    private String name;

    @NotBlank(message = "编码不能为空!")
    private String code;

    private SimpleModel simple;

    public Long getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(Long pageIndex) {
        this.pageIndex = pageIndex;
    }

    public Long getPageSize() {
        return pageSize;
    }

    public void setPageSize(Long pageSize) {
        this.pageSize = pageSize;
    }

    public String getCustdocdefid() {
        return custdocdefid;
    }

    public void setCustdocdefid(String custdocdefid) {
        this.custdocdefid = custdocdefid;
    }

    public String getCustdocdefcode() {
        return custdocdefcode;
    }

    public void setCustdocdefcode(String custdocdefcode) {
        this.custdocdefcode = custdocdefcode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public SimpleModel getSimple() {
        return simple;
    }

    public void setSimple(SimpleModel simple) {
        this.simple = simple;
    }
}
